cancel
Showing results for 
Search instead for 
Did you mean: 

CMS and block warning in 2.4.2

CMS and block warning in 2.4.2

Does anyone have any information on the following warning that I am seeing in the CE 2.4.2 CMS and Block content areas on save?

 

Temporarily allowed to save HTML value that contains restricted elements. Allowed HTML tags are: div, a, p, span, em, strong, ul, li, ol, h5, h4, h3, h2, h1, table, tbody, tr, td, th, tfoot, img, hr, figure, button, i, u, br, b

It appears to be produced by saving content with html that contains things like data toggles, iFrame embeds, etc. I've got WYSIWYG turned-off globally, but the warning still gets produced. 

 

I believe it has showed-up after my Magento 2.4.1 - 2.4.2 upgrade, but can't seem to find any information online in regards to the warning, so I'm wondering if anyone has any info here.

 

Are data-toggles, iframes and such going to be eliminated in a future release of Magento?

How soon do we have? Next version? Magento 2.5?

Will we be able to whitelist some/all of these items for use in admin content areas?

 

Thanks for any insight on this message.

1 REPLY 1

Re: CMS and block warning in 2.4.2

Hello

I experienced the same issue today - do you have any more information that you can share on this?